## GFilterOutputStream

GFilterOutputStream — Filter Output Stream

## Synopsis

    #include <gio/gio.h>

                        GFilterOutputStream;
    GOutputStream *     g_filter_output_stream_get_base_stream
                                                            (GFilterOutputStream *stream);

## Object Hierarchy

      GObject
       +----GOutputStream
             +----GFilterOutputStream
                   +----GBufferedOutputStream
                   +----GDataOutputStream

## Properties

      "base-stream"              GOutputStream*        : Read / Write / Construct Only

## Description

## Details

### GFilterOutputStream

    typedef struct _GFilterOutputStream GFilterOutputStream;

A base class for all output streams that work on an underlying stream.

### g_filter_output_stream_get_base_stream ()

    GOutputStream *     g_filter_output_stream_get_base_stream
                                                            (GFilterOutputStream *stream);

Gets the base stream for the filter stream.

`stream` : | a GFilterOutputStream.
Returns : | a GOutputStream.

## Property Details

### The `"base-stream"` property

      "base-stream"              GOutputStream*        : Read / Write / Construct Only

The underlying base stream the io ops will be done on.